﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ScrabbleClient.ScrabbleService;
using ServerLibrary.WCF.DTO;

namespace ScrabbleClient.Domain
{
    class ServiceCallback : IScrabbleServiceCallback
    {
        public void YourTurn(GameInfoDTO gameInfo, List<List<BoxDTO>> boardInfo, List<TileDTO> rackInfo, MoveInfoDTO moveInfo)
        {
            ClientManager.Instance.YourTurn(gameInfo, boardInfo, rackInfo, moveInfo);
        }

        public void OpponentResigned(GameInfoDTO gameInfo)
        {
            ClientManager.Instance.OpponentResigned(gameInfo);
        }

    }
}
