﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ServerLibrary.Domain.TileSets;
using ServerLibrary.Domain.Users;

namespace ServerLibrary.Domain.Games
{
    public interface IPlayer
    {
        Game Game { set; }
        string Id { get; }
        string Name { get; }
        int Score { get; set; }
        Rack Rack { get; set; }

        void YourTurn();
        void OpponentResigned();

        void AttachUser(User user);
        void DetachUser();
        bool IsUserAttached();
    }
}
