﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ServerLibrary.Domain.TileSets;

namespace ServerLibrary.Domain.Games
{
    public class MoveTile
    {
        public int Row { get; set; }
        public int Column { get; set; }
        public bool NewTile { get; set; }
        //Necessitem desar la lletra en aquest objecte, perque un escarràs pot contenir qualsevol lletra
        public string Letter { get; set; }

        public Tile Tile { get; set; }

        //Copia les dades de l'objecte a un objecte nou
        public MoveTile Clone()
        {
            MoveTile result = new MoveTile();

            result.Row = Row;
            result.Column = Column;
            result.NewTile = NewTile;
            result.Letter = Letter;

            result.Tile = Tile; //No la clonem, la fitxa es única

            return result;
        }
    }
}
