﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ServerLibrary.WCF.DTO;

namespace ServerLibrary.Domain.TileSets
{
    public class Tile
    {
        public enum TileType { Normal = 0, Blank };
        public string Id { get; set; }
        public TileType Type { get; set; }
        public string Letter { get; set; }
        public int Value { get; set; }

        public TileDTO ToDTO()
        {
            return new TileDTO() { Id = this.Id, Letter = this.Letter, Value = this.Value, Type = (int)this.Type };  
        }
    }
}
