﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Runtime.Serialization;

namespace ServerLibrary.WCF.DTO
{
    [DataContract(Namespace = "http://www.JordiSimon/.net/scrabble/2013/04")]
    public class GameInfoDTO
    {
        [DataMember]
        public string Id { get; set; }

        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public string BoardName { get; set; }

        [DataMember]
        public string Board { get; set; }

        [DataMember]
        public string TileSetName { get; set; }

        [DataMember]
        public string TileSet { get; set; }

        [DataMember]
        public int RemainingTiles { get; set; }

        [DataMember]
        public string DictionaryName { get; set; }

        [DataMember]
        public string Dictionary { get; set; }

        [DataMember]
        public int Turn { get; set; }

        [DataMember]
        public string Player1Name { get; set; }

        [DataMember]
        public string Player1 { get; set; }

        [DataMember]
        public int Player1Score { get; set; }

        [DataMember]
        public string Player2Name { get; set; }

        [DataMember]
        public string Player2 { get; set; }

        [DataMember]
        public int Player2Score { get; set; }

        [DataMember]
        public bool Started { get; set; }

        [DataMember]
        public bool Finished { get; set; }

        [DataMember]
        public int WinnerPlayer { get; set; }
    }
}
