﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ServerLibrary.WCF.DTO;

namespace ScrabbleClient.Domain
{
    /*
     * Interfície que s'usa per implementar el patró observador,
     * de forma que les classes d'interfície puguin rebre notificacions del domini
     * sense que hi hagi un acoplament ascendent
     * */
    public interface IGameObserver
    {
        void YourTurn(GameInfoDTO gameInfo, List<List<BoxDTO>> boardInfo, List<TileDTO> rackInfo, MoveInfoDTO moveInfo);
        void OpponentResigned(GameInfoDTO gameInfo);
    }
}
