﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ServerLibrary.Domain.TileSets;
using ServerLibrary.WCF.DTO;

namespace ServerLibrary.Domain.Boards
{
    public class Box
    {
        public enum BoxType { Normal = 0, Initial, DoubleLetter, TripleLetter, DoubleWord, TripleWord };

        public string Id { get; set; }
        public BoxType Type {get; set;}

        public Tile Tile { get; set; }

        public BoxDTO ToDTO()
        {
            BoxDTO result = new BoxDTO() { Id = this.Id, BoxType = (int)this.Type };

            if (Tile != null)
            {
                result.Tile = Tile.ToDTO();
            }

            return result;
        }
    }
}
